<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>

<main class="loginCenter">
	<div class="loginForm">
		<h1>Login</h1><br>

		<?php if($errorCode == "ErrorCode1"): ?>
			<b class="error">Benutzername oder Passwort falsch.</b><br><br>
		<?php endif; ?>

		<?php if($errorCode == "ErrorCode2"): ?>
			<b class="error">Der Account ist gesperrt.<br>Bitte wenden Sie sich an den Administrator.</b><br><br>
		<?php endif; ?>

		<form method="POST" action="<?php echo BASE_URL; ?>/">
			<div>
				<label>
					Benutzername:<br>
					<input type="text" name="username" autofocus>
				</label>
			</div>

			<div>
				<label>
					Passwort:<br>
					<input type="password" name="password">
				</label>
			</div>

			<input type="submit" value="Einloggen">
		</form>
	</div>
</main>

<?php require __DIR__ . "/../main/footer.php"; ?>