<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>
<?php require __DIR__ . "/../main/menu.php"; ?>

<main class="center">
	<div class="insert">
		<h1>Benutzer verwalten</h1><br>

		<?php if(!empty($delete)): ?>
			<b class="ok">Der Benutzer wurde erfolgreich gelöscht</b><br><br>
		<?php endif; ?>

		<ul>
			<?php foreach ($all AS $entry): ?>
			<li>
				<a href="<?php echo BASE_URL; ?>/users/edit?id=<?php echo e($entry["id"]); ?>">
					<?php echo e($entry["username"]); ?>
				</a>
			</li>
			<?php endforeach; ?>
		</ul>

		<br>

		<form method="GET" action="<?php echo BASE_URL; ?>/users/new">
			<input type="submit" value="Neuen User anlegen">
		</form>
	</div>
</main>

<?php require __DIR__ . "/../../src/js/countDownInclude.js"; ?>

<?php require __DIR__ . "/../main/footer.php"; ?>